package eu.devity.vaultconnector.serializable

import com.fasterxml.jackson.annotation.JsonInclude
import com.fasterxml.jackson.databind.PropertyNamingStrategy
import com.fasterxml.jackson.databind.annotation.JsonNaming
import io.swagger.v3.oas.annotations.media.Schema

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonNaming(PropertyNamingStrategy.SnakeCaseStrategy::class)
data class CreateCAResponse(
    @Schema(description = "CSR, in case `ca_type` is 'EXTERNAL'.", example = "-----BEGIN CERTIFICATE REQUEST-----\n...\n-----END CERTIFICATE REQUEST-----")
    val csr: String?,
    @Schema(description = "The whole chain of intermediate and root CAs", example = "-----BEGIN CERTIFICATE-----\n...\n-----END CERTIFICATE-----\n-----BEGIN CERTIFICATE-----\n...\n-----END CERTIFICATE-----")
    val certificateChain: String?,
    @Schema(description = "intermediate ca name with suffix", example = "test-int-01")
    val caName: String,
    @Schema(description = "pkiPath", example = "pkix/develop")
    val pkiPath: String
)
