package eu.devity.vaultconnector.serializable

import com.fasterxml.jackson.databind.PropertyNamingStrategy
import com.fasterxml.jackson.databind.annotation.JsonNaming
import io.swagger.v3.oas.annotations.media.Schema

enum class RequestType {
    ISSUE, SIGN
}

@JsonNaming(PropertyNamingStrategy.SnakeCaseStrategy::class)
data class CreateCertificateRequest(
    @Schema(description = "Type of Request", example = "ISSUE")
    val requestType: RequestType,
    @Schema(description = "The path of a Vault CA", example = "pki")
    val pkiPath: String,
    @Schema(description = "The name of role", example = "Bamboo")
    val roleName: String,
    @Schema(description = "Description of Certificate Signing Request", example = "")
    val csr: String?,
    @Schema(description = "Distinguished name (common name) and extensions", example = "")
    val dnAndExt: GenerateCertificateRequest?
)
