package eu.devity.vaultconnector.serializable

import com.fasterxml.jackson.annotation.JsonInclude
import com.fasterxml.jackson.databind.PropertyNamingStrategy
import com.fasterxml.jackson.databind.annotation.JsonNaming
import io.swagger.v3.oas.annotations.media.Schema

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonNaming(PropertyNamingStrategy.SnakeCaseStrategy::class)
data class GenerateCertificateRequest(
    @Schema(description = "Common name", example = "John Doe")
    val commonName: String,
    @Schema(description = "Subject alternative names (SANs), in a comma-delimited list", example = "exmaple.com")
    val altNames: String?,
    @Schema(description = "IP SANs, in a comma-delimited list", example = "192.168.0.1")
    val ipSans: String?,
    @Schema(description = "URI SANs, in a comma-delimited list", example = "")
    val uriSans: String?,
    @Schema(description = "Custom OID/UTF8-string SANs", example = "<oid>;<type>:<value>")
    val otherSans: String?
)
