package eu.devity.vaultconnector.serializable

import com.fasterxml.jackson.databind.PropertyNamingStrategy
import com.fasterxml.jackson.databind.annotation.JsonNaming
import io.swagger.v3.oas.annotations.media.Schema

@JsonNaming(PropertyNamingStrategy.SnakeCaseStrategy::class)
data class RevokeCertificateRequest(
    @Schema(description = "Certificate to be revoked", example = "-----BEGIN CERTIFICATE REQUEST-----\n...\n-----END CERTIFICATE REQUEST-----")
    val certificate: String?,
    @Schema(description = "The path of a Vault CA", example = "pki")
    val pkiPath: String,
)
