package eu.devity.vaultconnector.serializable.vault

import com.fasterxml.jackson.annotation.JsonInclude
import com.fasterxml.jackson.annotation.JsonUnwrapped
import com.fasterxml.jackson.databind.PropertyNamingStrategy
import com.fasterxml.jackson.databind.annotation.JsonNaming
import eu.devity.vaultconnector.serializable.CsrRequest

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonNaming(PropertyNamingStrategy.SnakeCaseStrategy::class)
data class VaultGenRootRequest(
    val commonName: String,
    @JsonUnwrapped
    val csr: CsrRequest,
    val ttl: String?,
    val keyType: String?,
    val keyBits: Int?,
)
