package eu.devity.vaultconnector.serializable.vault

import com.fasterxml.jackson.annotation.JsonInclude
import com.fasterxml.jackson.databind.PropertyNamingStrategy
import com.fasterxml.jackson.databind.annotation.JsonNaming

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonNaming(PropertyNamingStrategy.SnakeCaseStrategy::class)
data class VaultSignIntermediateRequest(
    val csr: String,
    val ttl: String?,
    val commonName: String = "Not used but required by Vault",
    val useCsrValues: Boolean = true
)

@JsonNaming(PropertyNamingStrategy.SnakeCaseStrategy::class)
data class VaultSetSignedRequest(
    val certificate: String
)
